Browse Source

Fix pkg-config script.

Thanks vtorri for the patch.
@fix
edi-0.8
Andy Williams 6 years ago
parent
commit
32059825f6
  1. 13
      configure.ac
  2. 2
      pc/edi.pc.in

13
configure.ac

@ -58,16 +58,9 @@ EFL_CHECK_DOXYGEN([build_doc="yes"], [build_doc="no"])
### Checks for libraries
PKG_CHECK_MODULES([EFL],
[
eina >= 1.17.0
evas >= 1.17.0
ecore >= 1.17.0
edje >= 1.17.0
eo >= 1.18.99
elementary >= 1.18.0
eio >= 1.17.0
])
requirements_pc_edi="eina >= 1.17.0 evas >= 1.17.0 ecore >= 1.17.0 edje >= 1.17.0 eo >= 1.18.99 elementary >= 1.18.0 eio >= 1.17.0"
AC_SUBST([requirements_pc_edi])
PKG_CHECK_MODULES([EFL], [${requirements_pc_edi}])
# Check edje_cc
EFL_WITH_BIN([edje], [edje-cc], [edje_cc])

2
pc/edi.pc.in

@ -16,6 +16,6 @@ Name: edi
Description: Edi ide library
Requires.private: @requirements_pc_edi@
Version: @VERSION@
Libs: -L${libdir} -ledi @requirements_public_libs_edi@
Libs: -L${libdir} -ledi
Cflags: -I${includedir}/edi-@VMAJ@

Loading…
Cancel
Save